Skip to main content
GET
/
valorant
/
v2
/
esports
/
vlr
/
teams
/
{team_id}
/
transactions
Get VLR team transactions (v2)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/esports/vlr/teams/{team_id}/transactions
import requests

url = "https://api.henrikdev.xyz/valorant/v2/esports/vlr/teams/{team_id}/transactions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/esports/vlr/teams/{team_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "action": "<string>",
      "player": {
        "alias": "<string>",
        "id": 1,
        "slug": "<string>",
        "country_code": "<string>",
        "real_name": "<string>"
      },
      "position": "<string>",
      "date": "<string>",
      "reference_url": "<string>"
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

team_id
integer<int32>
required
Required range: x >= 0

Response

Esports team transactions retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0